Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Profile] Plus de choix de profile
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
lefoid
Apprentice
Apprentice


Joined: 05 Nov 2005
Posts: 232

PostPosted: Fri Mar 26, 2010 10:08 am    Post subject: [Profile] Plus de choix de profile Reply with quote

Salut à tous,

J'ai décidément des ennuis avec eselect ces derniers temps.
Aujourd'hui, voila ce que j'obtiens :
Code:
falcon patrice # eselect profile show
Current make.profile symlink:
  /usr/portage/profiles/default/linux/amd64/10.0/desktop
                           
falcon patrice # eselect profile list
/bin/sed: impossible de lire /profiles/profiles.desc: Aucun fichier ou dossier de ce type
!!! Error: Failed to get a list of valid profiles
exiting

Bref, j'ai bien un profil, mais je ne peux pas voir la liste de tous les profils.
Je m'en suis aperçu en lisant une news (que je ne peux pas lire avec eselect, vous suivez ?),
qui parle de profils spécifiques à Gnome et Kde (pour ma part, c'est Gnome qui m'intéresse).
2 questions :
Y a-t-il moyen de faire réapparaître les profils ?
Est-ce encore un problème avec eselect ?
Merci par avance.
_________________
Visi pas nette, pilote à la buvette !
Back to top
View user's profile Send private message
netfab
Veteran
Veteran


Joined: 03 Mar 2005
Posts: 1896
Location: 127.0.0.1

PostPosted: Fri Mar 26, 2010 10:34 am    Post subject: Reply with quote

Hello,

Code:

$ eselect profile show
Current make.profile symlink:
  default/linux/x86/10.0/desktop

Pour moi le chemin donné est relatif. Que donne :
Code:

$ ls -l /etc/make.profile

Peut-être qu'en supprimant ce lien symbolique et en le refaisant proprement cela résoudrait tous tes problèmes (on peut toujours rêver :lol: ) ?
Back to top
View user's profile Send private message
brubru
Tux's lil' helper
Tux's lil' helper


Joined: 14 May 2008
Posts: 109
Location: France

PostPosted: Fri Mar 26, 2010 10:49 am    Post subject: Reply with quote

Salut,

en regardant le code source du module (/usr/share/eselect/modules/profile.eselect), je pense que l'erreur vient de cette partie du code:
Code:
# get a list of valid profiles
find_targets() {
    local arch p portdir=${1}
    [[ -n ${portdir} ]] || portdir=$(portageq portdir)

    arch=$(arch)
    [[ -z ${arch} ]] && return 1

    for p in $(sed -n -e "s|^${arch}[[:space:]]\+\([^[:space:]]\+\).*$|\1|p" \
        "${ROOT}${portdir}/profiles/profiles.desc")                                          <-- ici
    do
        echo ${p}
    done
}


ce qui voudrait dire que $ROOT est vide (normal) et que $portdir aussi (moins bien), que renvoie la commande `portageq portdir` ?
Peut-être que des variables de l'environnement utilisateur en masquent d'autres nécessaires au fonctionnement de portage.
Ça collerait bien avec ton autre probleme.
Pourrais-tu donner le résultat de la commande `env` (en masquant les données sensibles au besoin)

Bruno
Back to top
View user's profile Send private message
lefoid
Apprentice
Apprentice


Joined: 05 Nov 2005
Posts: 232

PostPosted: Fri Mar 26, 2010 12:22 pm    Post subject: Reply with quote

Salut brubru,

Voila les 2 commandes à la suite :
Code:
falcon patrice # portageq portdir
/usr/portage
falcon patrice # env
MANPATH=/etc/java-config-2/current-system-vm/man:/usr/local/share/man:/usr/share/man:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.18/man:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.3.4/man:/etc/java-config/system-vm/man/:/usr/lib64/php5/man/
SSH_AGENT_PID=6880
GLADE_PIXMAP_PATH=:
SHELL=/bin/bash
TERM=xterm
XDG_SESSION_COOKIE=709a1ecdcb849e02ff2484be49005a41-1269605129.950392-264107904
WINDOWID=60817411
LC_ALL=fr_FR.UTF-8
ANT_HOME=/usr/share/ant
USER=root
SGML_CATALOG_FILES=/etc/sgml/dsssl-docbook-stylesheets.cat:/etc/sgml/sgml-docbook.cat:/etc/sgml/openjade-1.3.2.cat:/etc/sgml/sgml-lite.cat:/etc/sgml/xml-docbook-4.3.cat:/etc/sgml/sgml-docbook-3.1.cat:/etc/sgml/xml-docbook-4.1.2.cat:/etc/sgml/sgml-ent.cat:/etc/sgml/xml-docbook-4.4.cat
LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=01;05;37;41:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.pdf=00;32:*.ps=00;32:*.txt=00;32:*.patch=00;32:*.diff=00;32:*.log=00;32:*.tex=00;32:*.doc=00;32:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.axa=00;36:*.oga=00;36:*.spx=00;36:*.xspf=00;36:
GDK_USE_XFT=1
GUILE_LOAD_PATH=/usr/share/guile/1.8
GLADE_MODULE_PATH=:
SSH_AUTH_SOCK=/tmp/ssh-kplOvI6849/agent.6849
GNOME_KEYRING_SOCKET=/tmp/keyring-K5eLk2/socket
USERNAME=patrice
SESSION_MANAGER=local/falcon:@/tmp/.ICE-unix/6890,unix/falcon:/tmp/.ICE-unix/6890
CONFIG_PROTECT_MASK=/etc/sandbox.d /etc/env.d/java/ /etc/php/cli-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/apache2-php5/ext-active/ /etc/fonts/fonts.conf /etc/gconf /etc/terminfo /etc/ca-certificates.conf /etc/texmf/web2c /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/revdep-rebuild
PAGER=/usr/bin/less
FLTK_DOCDIR=/usr/share/doc/fltk-1.1.9-r1/html
XDG_CONFIG_DIRS=/etc/xdg
PATH=/sbin:/bin:/usr/sbin:/usr/bin
DESKTOP_SESSION=xfce
GDM_XSERVER_LOCATION=local
PWD=/home/patrice
JAVA_HOME=/etc/java-config-2/current-system-vm
JAVAC=/etc/java-config-2/current-system-vm/bin/javac
EDITOR=/bin/nano
GNOME_KEYRING_PID=6847
LANG=fr_FR.UTF-8
GDMSESSION=xfce
HOME=/root
SHLVL=3
JDK_HOME=/etc/java-config-2/current-system-vm
LANGUAGE=fr_FR.UTF-8
JAVACC_HOME=/usr/share/javacc/
SCHEME_LIBRARY_PATH=/usr/share/slib/
GTK_PATH=:/usr/lib64/gtk-2.0
LESS=-R -M --shift 5
LOGNAME=root
GCC_SPECS=
CVS_RSH=ssh
XDG_DATA_DIRS=/usr/local/share:/usr/share:/usr/share/gdm:/usr/share
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-0elRE1eTgU,guid=dcd2827e2c06822e09cb968b4baca30a
LESSOPEN=|lesspipe.sh %s
WINDOWPATH=7
INFOPATH=/usr/share/info:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.18/info:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.3.4/info
DISPLAY=:0.0
GLADE_CATALOG_PATH=:
RUBYOPT=-rauto_gem
LIBGLADE_MODULE_PATH=:/usr/lib64/libglade/2.0
USB_DEVFS_PATH=/dev/bus/usb
OPENGL_PROFILE=xorg-x11
LADSPA_PATH=/usr/lib64/ladspa
SANE_CONFIG_DIR=/etc/sane.d
CONFIG_PROTECT=/usr/share/X11/xkb /var/lib/hsqldb
COLORTERM=Terminal
XAUTHORITY=/root/.xauthU6v7aL
_=/bin/env
falcon patrice #

Je précise que je suis actuellement sous Xfce, mais qu'habituellement, je suis sous Gnome.
Et s'il y a des données "sensibles", je ne les ai pas vues :)
Je viens aussi de vérifier que profiles.desc existait (au cas où) :
Code:
falcon patrice # ls /usr/portage/profiles/
arch       base        ChangeLog  desc      features  info_pkgs  license_groups  prefix         releases   selinux  thirdpartymirrors  updates   use.local.desc
arch.list  categories  default    embedded  hardened  info_vars  package.mask    profiles.desc  repo_name  targets  uclibc             use.desc

Je ne l'affiche pas mais il semble tout à fait normal comme fichier.
EDIT : la commande env a été effectuée sous root. Je peux le faire sous le user si c'est nécessaire.
_________________
Visi pas nette, pilote à la buvette !
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Fri Mar 26, 2010 3:19 pm    Post subject: Reply with quote

Tu sais que ton pb me turlupine depuis un bon moment... :twisted:
J'ai remarqué que toute tes commandes concernant eselect sont lancées en root - dans ce topic ou dans l'autre à l'exception des tout premiers posts de ce dernier - hasard ou pas ; lié ou non je n'en sais rien mais c'est un constat.

S'il semble en effet que ce soit un problème de variable d'environnement et/ou de droits comme on le soupçonne depuis le départ, j'aimerais m'affranchir de quelques petites choses en vérifiant les sorties respectives de :
Code:
#groups
et
$groups

$ls -l /usr/bin/sed
$ls -l /bin/sed

Et ta version de bash stp (4.0_p35 précédement) mais aujoud'hui ? (bon allez le #emerge --info ^^)

En fonction vu que tu as déjà tenté sans succès le --oneshot sur eselect l'autre fois... il faudra peut-être réouvrir ce bug

Edit: au fait la proposition très juste de netfab n'a jamais été vérifiée auparavant alors d'ici à ce que... :roll:
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
lefoid
Apprentice
Apprentice


Joined: 05 Nov 2005
Posts: 232

PostPosted: Fri Mar 26, 2010 3:57 pm    Post subject: Reply with quote

Salut boozo,

Voici :
Code:
patrice@falcon ~ $ groups
wheel floppy audio cdrom video games cdrw usb users portage patrice plugdev pulse-access pulse scanner vboxusers
patrice@falcon ~ $ su
Mot de passe :
falcon patrice # groups
root bin daemon sys adm disk wheel floppy dialout tape video pulse-access pulse

Je suis surpris que portage ne soit pas dans # groups !
La suite :
Code:
patrice@falcon ~ $ ls -l /usr/bin/sed
ls: ne peut accéder /usr/bin/sed: Aucun fichier ou dossier de ce type
patrice@falcon ~ $ ls -l /bin/sed
-rwxr-xr-x 1 root root 134568 nov.   7 23:45 /bin/sed
patrice@falcon ~ $ bash --version
GNU bash, version 4.0.35(1)-release (x86_64-pc-linux-gnu)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>

This is free software; you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Quant à la proposition de netfab, j'ai essayé ce qu'il a proposé mais sans succès.
_________________
Visi pas nette, pilote à la buvette !
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Fri Mar 26, 2010 4:44 pm    Post subject: Reply with quote

Y'a vraiment depuis le départ des petites différences que je ne m'explique pas entre ta config et la mienne :( mais bon j'ai pas vérifié où il tappe sa recherche mais déjà essaye de refaire le lien dans /usr/bin et reteste eselect ensuite
Code:
 $ ls -l /usr/bin/sed
lrwxrwxrwx 1 root root 8 mai    8  2005 /usr/bin/sed -> /bin/sed

_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
lefoid
Apprentice
Apprentice


Joined: 05 Nov 2005
Posts: 232

PostPosted: Fri Mar 26, 2010 5:26 pm    Post subject: Reply with quote

J'ai fait un :
Code:
ln -s /bin/sed /usr/bin/sed

Du coup :
Code:
patrice@falcon ~ $ ls -l /usr/bin/sed
lrwxrwxrwx 1 root root 8 mars  26 18:21 /usr/bin/sed -> /bin/sed

mais résultat identique avec eselect :?
_________________
Visi pas nette, pilote à la buvette !
Back to top
View user's profile Send private message
brubru
Tux's lil' helper
Tux's lil' helper


Joined: 14 May 2008
Posts: 109
Location: France

PostPosted: Fri Mar 26, 2010 5:48 pm    Post subject: Reply with quote

Bizarre le coup du lien vers sed dans /usr/bin qui disparait, si je fais pareil chez moi:
Code:
mv /usr/bin/{sed,_sed}
Je n'ai pas le même type d'erreur que toi:
Code:
/usr/share/eselect/libs/core.bash: line 108: /usr/bin/sed: Aucun fichier ou dossier de ce type

Donc je vois pas comment tu peux avoir ton erreur sans le lien dans /usr/bin, à moins qu'on ait pas la même version d'eselect: 1.2.9 pour moi. Sinon eselect utilise réelement /usr/bin/sed (d'après core.bash, ligne 108):
Code:
# GNU sed wrapper (real path to GNU sed determined by configure)
sed() {
    /usr/bin/sed "$@"
}
...mais le chemin est peut-être généré à l'installation d'eselect.

Enfin, d'après les messages d'erreurs, je pense que le problème vient peut-être des appels «portageq» que fait eselect pour récupérer les variables comme $PORTDIR ( portageq portdir ) ou la liste des dépots ( portageq get_repos / ). Mais, alors que ça marche dans un shell normal, sous eselect ça ne renvoit rien.

Bon, on peut tenter le debogage de eselect :roll:
Code:
bash -xv eselect --brief --no-color profile list 2> /tmp/eselect.out
Cette commande met bash en mode très verbeux, donc utilise plutôt pastbin ou autre pour transmettre le fichier eselect.out
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Fri Mar 26, 2010 7:44 pm    Post subject: Reply with quote

:?: : Mis à part news et profil, est-ce que tous les modules d'eselect te renvoient un echec ?
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
lefoid
Apprentice
Apprentice


Joined: 05 Nov 2005
Posts: 232

PostPosted: Wed Mar 31, 2010 7:51 am    Post subject: Reply with quote

Bonjour,

Bon, toujours pas d'amélioration. Concernant la version d'eselect :
Quote:
falcon patrice # eix eselect
[I] app-admin/eselect
Available versions: 1.2.8 1.2.9 ~1.2.10 {bash-completion doc}
Installed versions: 1.2.9(12:47:44 29/03/2010)(-bash-completion -doc)
Homepage: http://www.gentoo.org/proj/en/eselect/
Description: Gentoo's multi-purpose configuration and management tool

Et une liste des modules (je ne les ai pas tous testés) :
Code:
falcon patrice # eselect kernel list
Available kernel symlink targets:
  [1]   linux-2.6.25-gentoo-r7
  [2]   linux-2.6.26-gentoo-r3
  [3]   linux-2.6.26-gentoo-r4
  [4]   linux-2.6.27-gentoo-r7
  [5]   linux-2.6.27-gentoo-r8
  [6]   linux-2.6.28-gentoo-r5
  [7]   linux-2.6.29-gentoo-r5
  [8]   linux-2.6.30-gentoo-r4
  [9]   linux-2.6.30-gentoo-r5
  [10]  linux-2.6.31-gentoo-r6
  [11]  linux-2.6.31-gentoo-r10 *
falcon patrice # eselect profile list
/bin/sed: impossible de lire /profiles/profiles.desc: Aucun fichier ou dossier de ce type
!!! Error: Failed to get a list of valid profiles
exiting
falcon patrice # eselect opengl list
Available OpenGL implementations:
  [1]   xorg-x11 *
  [2]   ati
falcon patrice # eselect news list
News items:
  (none found)

Et le résultat eselect.out de la commande :
Code:
bash -xv eselect --brief --no-color profile list 2> /tmp/eselect.out

Quote:
#!/bin/bash
# -*-eselect-*- vim: ft=eselect
# Copyright (c) 2005-2009 Gentoo Foundation
# $Id: eselect.in 750 2009-12-31 00:02:52Z ulm $
# This file is part of the 'eselect' tools framework.
#
# eselect is free software: you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation, either version 2 of the License, or (at your option) any later
# version.
#
# eselect is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# eselect. If not, see <http://www.gnu.org/licenses/>.

# Where are our data?
ESELECT_DATA_PATH="/usr/share/eselect"
+ ESELECT_DATA_PATH=/usr/share/eselect

# Where are modules installed by default?
ESELECT_DEFAULT_MODULES_PATH="${ESELECT_DATA_PATH}/modules"
+ ESELECT_DEFAULT_MODULES_PATH=/usr/share/eselect/modules

# Look in these places for modules
ESELECT_MODULES_PATH=( \
"${HOME}/.eselect/modules" \
"${ESELECT_DEFAULT_MODULES_PATH}" )
+ ESELECT_MODULES_PATH=("${HOME}/.eselect/modules" "${ESELECT_DEFAULT_MODULES_PATH}")

# Look in this place for libraries
ESELECT_CORE_PATH="${ESELECT_DATA_PATH}/libs"
+ ESELECT_CORE_PATH=/usr/share/eselect/libs

# Look here for the default contents of a module
ESELECT_DEFAULT_ACTIONS="${ESELECT_CORE_PATH}/default.eselect"
+ ESELECT_DEFAULT_ACTIONS=/usr/share/eselect/libs/default.eselect

# Our program name and version
ESELECT_VERSION="1.2.9"
+ ESELECT_VERSION=1.2.9
ESELECT_PROGRAM_NAME="eselect"
+ ESELECT_PROGRAM_NAME=eselect

# Invocation information
ESELECT_BINARY_NAME="${0}"
+ ESELECT_BINARY_NAME=eselect
ESELECT_KILL_TARGET="$$"
+ ESELECT_KILL_TARGET=899

# Global options
ESELECT_OPTIONS=""
+ ESELECT_OPTIONS=

# Support variables for Gentoo Prefix
EPREFIX=""
+ EPREFIX=
EROOT="${ROOT}${EPREFIX}"
+ EROOT=

# Remove all alias definitions. Unset functions and variables that are
# known to cause trouble.
"unalias" -a
+ unalias -a
unset -f rm
+ unset -f rm
unset CDPATH GLOBIGNORE
+ unset CDPATH GLOBIGNORE
IFS=$' \t\n'
+ IFS='
'

shopt -s extglob
+ shopt -s extglob
shopt -s expand_aliases
+ shopt -s expand_aliases

# Load core functions
source "${ESELECT_CORE_PATH}/core.bash" || exit 255
+ source /usr/share/eselect/libs/core.bash
# -*-eselect-*- vim: ft=eselect
# Copyright (c) 2005-2009 Gentoo Foundation
# $Id: core.bash.in 750 2009-12-31 00:02:52Z ulm $
# This file is part of the 'eselect' tools framework.
#
# eselect is free software: you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation, either version 2 of the License, or (at your option) any later
# version.
#
# eselect is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# eselect. If not, see <http://www.gnu.org/licenses/>.

# check_do function args
# Check that function exists, and call it with args.
check_do() {
local function="${1}"
shift
if is_function "${function}" ; then
${function} "$@"
else
die "No function ${function}"
fi
}

# die [-q] "Message" PUBLIC
# Display "Message" as an error. If -q is not provided, gives a stacktrace.
die() {
local item funcname="" sourcefile="" lineno="" n e s="yes"

# do we have a working write_error_msg?
if is_function "write_error_msg" ; then
e="write_error_msg"
else
e="echo"
fi

# quiet?
if [[ ${1} == "-q" ]] ; then
s=""
shift
fi

$e "${@:-(no message)}"

if [[ -n "${s}" ]] ; then
echo "Call stack:" 1>&2
for (( n = 1 ; n < ${#FUNCNAME[@]} ; ++n )) ; do
funcname=${FUNCNAME[${n}]}
sourcefile=$(basename ${BASH_SOURCE[${n}]})
lineno=${BASH_LINENO[$(( n - 1 ))]}
echo " * ${funcname} (${sourcefile}:${lineno})" 1>&2
done
fi

# Evil, but effective.
kill ${ESELECT_KILL_TARGET}
exit 249
}

# do_action action args...
# Load and do 'action' with the specified args
do_action() {
local action="${1##--}" modfile="" subaction="${2##--}"
[[ -z ${action} ]] && die "Usage: do_action <action> <args>"
shift; shift

ESELECT_MODULE_NAME="${action}"
ESELECT_COMMAND="${ESELECT_PROGRAM_NAME} ${ESELECT_MODULE_NAME}"

[[ ${ESELECT_BINARY_NAME##*/} != ${ESELECT_PROGRAM_NAME} ]] && \
ESELECT_COMMAND="${ESELECT_BINARY_NAME##*/}"

modfile=$( es_find_module "${action}" )
(
source "$ESELECT_DEFAULT_ACTIONS" 2>/dev/null \
|| die "Couldn't source ${ESELECT_DEFAULT_ACTIONS}"
source "${modfile}" 2>/dev/null \
|| die "Couldn't source ${modfile}"
if [[ -z ${subaction} ]] ; then
check_do "do_${DEFAULT_ACTION:-usage}" "$@"
else
is_function "do_${subaction}" \
|| die -q "Action ${subaction} unknown"
check_do "do_${subaction}" "$@"
fi
)
}

# inherit module PUBLIC
# Sources a given eselect library file
inherit() {
local x
for x in "$@"; do
[[ -e "${ESELECT_CORE_PATH}/${x}.bash" ]] \
|| die "Couldn't find ${x}.bash"
source "${ESELECT_CORE_PATH}/${x}.bash" \
|| die "Couldn't source ${x}.bash"
done
}

# GNU sed wrapper (real path to GNU sed determined by configure)
sed() {
/bin/sed "$@"
}
# Load necessary functions for the main script
inherit manip output path-manipulation tests
+ inherit manip output path-manipulation tests
+ local x
+ for x in '"$@"'
+ [[ -e /usr/share/eselect/libs/manip.bash ]]
+ source /usr/share/eselect/libs/manip.bash
# -*-eselect-*- vim: ft=eselect
# Copyright (c) 2005-2009 Gentoo Foundation
# $Id: manip.bash.in 750 2009-12-31 00:02:52Z ulm $
# This file is part of the 'eselect' tools framework.
#
# eselect is free software: you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation, either version 2 of the License, or (at your option) any later
# version.
#
# eselect is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# eselect. If not, see <http://www.gnu.org/licenses/>.

# svn_date_to_version PUBLIC
# Turn an SVN or CVS date string into a nice version number, for those
# of us who are too lazy to manually update VERSION in modules. Safe to
# use in global scope.
svn_date_to_version() {
local s=${1}
s=${s#* }
s=${s%% *}
echo "${s//[-\/]}"
}
+ for x in '"$@"'
+ [[ -e /usr/share/eselect/libs/output.bash ]]
+ source /usr/share/eselect/libs/output.bash
# -*-eselect-*- vim: ft=eselect
# Copyright (c) 2005-2009 Gentoo Foundation
# $Id: output.bash.in 750 2009-12-31 00:02:52Z ulm $
# This file is part of the 'eselect' tools framework.
#
# eselect is free software: you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation, either version 2 of the License, or (at your option) any later
# version.
#
# eselect is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# eselect. If not, see <http://www.gnu.org/licenses/>.

# Colours
colours() {
COLOUR_NORMAL=$(tput sgr0)
COLOUR_BOLD=$(tput bold)
COLOUR_HI=$(tput setaf 4)${COLOUR_BOLD} # blue
COLOUR_WARN=$(tput setaf 1)${COLOUR_BOLD} # red
COLOUR_ERROR=${COLOUR_WARN}
COLOUR_LIST_HEADER=$(tput setaf 2)${COLOUR_BOLD} # green
COLOUR_LIST_LEFT=${COLOUR_BOLD}
COLOUR_LIST_RIGHT=${COLOUR_NORMAL}
}

# disable all colours
nocolours() {
COLOUR_NORMAL=""
COLOUR_BOLD=""
COLOUR_HI=""
COLOUR_WARN=""
COLOUR_ERROR=""
COLOUR_LIST_HEADER=""
COLOUR_LIST_LEFT=""
COLOUR_LIST_RIGHT=""
}

# set output mode to $1
set_output_mode() {
ESELECT_OUTPUT_MODE=${1}
}

# is_output_mode PUBLIC
# test if $1 is the current output mode
is_output_mode() {
[[ ${ESELECT_OUTPUT_MODE} = ${1} ]]
}

# Determine width of terminal and set COLUMNS variable
init_columns() {
[[ -n ${COLUMNS} ]] || COLUMNS=$(tput cols) || COLUMNS=80
}

# write_error_msg PUBLIC
# write an error
write_error_msg() {
echo -e "${COLOUR_ERROR}!!! Error: ${COLOUR_NORMAL}${*}" 1>&2
}

# write_warning_msg PUBLIC
# write a warning
write_warning_msg() {
echo -e "${COLOUR_WARN}!!! Warning: ${COLOUR_NORMAL}${*}" 1>&2
}

# write_list_start PUBLIC
# Write a list heading. Args may include text highlighting. If -p is passed,
# use 'plain' highlighting.
write_list_start() {
is_output_mode brief && return
local colour=${COLOUR_LIST_HEADER} normal=${COLOUR_NORMAL}
if [[ ${1} == "-p" ]] ; then
colour=; normal=
shift
fi
echo -n -e "${colour}"
echo -n -e "$(apply_text_highlights "${colour}" "$*")"
echo -n -e "${normal}"
echo
}

# write_kv_list_entry PUBLIC
# Write a key/value list entry with $1 on the left and $2 on the right.
# Args may include text highlighting. If -p is passed, use 'plain'
# highlighting rather than bold.
write_kv_list_entry() {
local n text key val lindent rindent ifs_save=${IFS}
local left=${COLOUR_LIST_LEFT} right=${COLOUR_LIST_RIGHT}
local normal=${COLOUR_NORMAL}

IFS=$' \t\n'

if [[ ${1} == "-p" ]] ; then
left=; right=; normal=
shift
fi

lindent=${1%%[^[:space:]]*}
rindent=${2%%[^[:space:]]*}
key=${1##*([[:space:]])}
val=${2##*([[:space:]])}

echo -n -e " ${lindent}${left}"
echo -n -e "$(apply_text_highlights "${left}" "${key}")"
echo -n -e "${normal}"

text=${key//\%%%??%%%/}
n=$(( 26 + ${#rindent} - ${#lindent} - ${#text} ))

# if ${n} is less than or equal to zero then we have a long ${key}
# that will mess up the formatting of ${val}, so end the line, indent
# and let ${val} go on the next line.
if [[ ${n} -le 0 ]] ; then
echo
n=$(( 28 + ${#rindent} ))
fi

space ${n}
echo -n -e "${right}"
n=$(( 28 + ${#rindent} ))

local cols=${COLUMNS:-80}
local cwords=$(apply_text_highlights "${right}" "${val}")

text=${val//\%%%??%%%/}
# only loop if it doesn't fit on the same line
if [[ $(( ${n} + ${#text} )) -ge ${cols} ]] ; then
local i=0 spc=""
rindent=$(space ${n})
cwords=( ${cwords} )
for text in ${val} ; do
text=${text//\%%%??%%%/}
# put the word on the same line if it fits
if [[ $(( ${n} + ${#spc} + ${#text} )) -lt ${cols} ]] ; then
echo -n -e "${spc}${cwords[i]}"
n=$(( ${n} + ${#spc} + ${#text} ))
# otherwise, start a new line and indent
else
echo -n -e "\n${rindent}${cwords[i]}"
n=$(( ${#rindent} + ${#text} ))
fi
i=$(( ${i} + 1 ))
spc=" "
done
else
echo -n -e "${cwords}"
fi
echo -e "${normal}"
IFS=${ifs_save}
}

# write_numbered_list_entry PUBLIC
# Write out a numbered list entry with index $1 and text $2. Args may
# include text highlighting. If -p is passed, use 'plain' highlighting.
write_numbered_list_entry() {
local left=${COLOUR_LIST_LEFT} right=${COLOUR_LIST_RIGHT}
local normal=${COLOUR_NORMAL}

if [[ ${1} == "-p" ]] ; then
left=; right=; normal=
shift
fi

if ! is_output_mode brief; then
echo -n -e " ${left}"
echo -n -e "[$(apply_text_highlights "${left}" "$1")]"
echo -n -e "${normal}"
space $(( 4 - ${#1} ))
fi

echo -n -e "${right}"
echo -n -e "$(apply_text_highlights "${right}" "$2")"
echo -e "${normal}"
}

# write_numbered_list PUBLIC
# Write out a numbered list. Args may include text highlighting.
# If called with the -m option and an empty list, output a negative report.
write_numbered_list() {
local n=1 m p
while [[ $1 == -* ]]; do
case $1 in
"-m") shift; m=$1 ;;
"-p") p="-p" ;;
"--") shift; break ;;
esac
shift
done

if [[ $# -eq 0 && -n ${m} ]] && ! is_output_mode brief; then
write_kv_list_entry ${p} "${m}" ""
fi

while [[ $# -gt 0 ]] ; do
item=${1}
shift
if [[ ${item##*\\} == "" ]] ; then
item="${item%\\} ${1}"
shift
fi
write_numbered_list_entry ${p} "${n}" "${item}"
n=$(( ${n} + 1 ))
done
}

# apply_text_highlights INTERNAL
# Apply text highlights. First arg is the 'restore' colour, second arg
# is the text.
apply_text_highlights() {
local restore=${1:-${COLOUR_NORMAL}} text=${2}
text="${text//?%%HI%%%/${COLOUR_HI}}"
text="${text//?%%WA%%%/${COLOUR_WARN}}"
text="${text//?%%RE%%%/${restore}}"
echo -n "${text}"
}

# highlight PUBLIC
# Highlight all arguments. Text highlighting function.
highlight() {
echo -n "%%%HI%%%${*}%%%RE%%%"
}

# highlight_warning PUBLIC
# Highlight all arguments as a warning (red). Text highlighting function.
highlight_warning() {
echo -n "%%%WA%%%${*}%%%RE%%%"
}

# highlight_marker PUBLIC
# Mark list entry $1 as active/selected by placing a highlighted star
# (or $2 if set) behind it.
highlight_marker() {
local text=${1} mark=${2-*}
echo -n "${text}"
if [[ -n ${mark} ]] && ! is_output_mode brief; then
echo -n " "
highlight "${mark}"
fi
}

# space PUBLIC
# Write $1 numbers of spaces
space() {
local n ret=""
for (( n = 1 ; n <= ${1} ; ++n )) ; do
ret="${ret} "
done
echo -n "${ret}"
}
+ for x in '"$@"'
+ [[ -e /usr/share/eselect/libs/path-manipulation.bash ]]
+ source /usr/share/eselect/libs/path-manipulation.bash
# -*-eselect-*- vim: ft=eselect
# Copyright (c) 2005-2009 Gentoo Foundation
# $Id: path-manipulation.bash.in 750 2009-12-31 00:02:52Z ulm $
# This file is part of the 'eselect' tools framework.
#
# eselect is free software: you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation, either version 2 of the License, or (at your option) any later
# version.
#
# eselect is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# eselect. If not, see <http://www.gnu.org/licenses/>.

# basename and dirname functions
# transparent bash-only replacements for the external commands
# extended pattern matching (shopt -s extglob) is required
basename() {
local path=$1 suf=$2

if [[ -z ${path} ]]; then
echo
return
fi

# remove any trailing slashes
path=${path%%*(/)}

# remove everything up to and including the last slash
path=${path##*/}

# remove any suffix
[[ ${suf} != "${path}" ]] && path=${path%"${suf}"}

# output the result, or "/" if we ended up with a null string
echo "${path:-/}"
}

dirname() {
local path=$1

if [[ -z ${path} ]]; then
echo .
return
fi

# remove any trailing slashes
path=${path%%*(/)}

# if the path contains only non-slash characters, then dirname is cwd
[[ ${path:-/} != */* ]] && path=.

# remove any trailing slashes followed by non-slash characters
path=${path%/*}
path=${path%%*(/)}

# output the result, or "/" if we ended up with a null string
echo "${path:-/}"
}

# Wrapper function for either GNU "readlink -f" or "realpath".
canonicalise() {
/usr/bin/readlink -f "$@"
}

# relative_name
# Convert filename $1 to be relative to directory $2 (both must exist).
relative_name() {
local path=$(canonicalise "$1") dir=$(canonicalise "$2") c
while [[ -n ${dir} ]]; do
c=${dir%%/*}
dir=${dir##"${c}"*(/)}
if [[ ${path%%/*} = ${c} ]]; then
path=${path##"${c}"*(/)}
else
path=..${path:+/}${path}
fi
done
echo "${path:-.}"
}
+ for x in '"$@"'
+ [[ -e /usr/share/eselect/libs/tests.bash ]]
+ source /usr/share/eselect/libs/tests.bash
# -*-eselect-*- vim: ft=eselect
# Copyright (c) 2005-2009 Gentoo Foundation
# $Id: tests.bash.in 750 2009-12-31 00:02:52Z ulm $
# This file is part of the 'eselect' tools framework.
#
# eselect is free software: you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation, either version 2 of the License, or (at your option) any later
# version.
#
# eselect is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# eselect. If not, see <http://www.gnu.org/licenses/>.

# has test list
# Return true if list contains test
has() {
local test=${1} item
shift
for item in "$@" ; do
[[ ${item} == ${test} ]] && return 0
done
return 1
}

# is_function function PUBLIC
# Test whether function exists
is_function() {
[[ $(type -t "${1}" ) == "function" ]]
}

# is_number PUBLIC
# Returns true if and only if $1 is a positive whole number
is_number() {
[[ -n ${1} ]] && [[ -z ${1//[[:digit:]]} ]]
}

# Sneaky trick to make die in subshells work. If you don't get
# it, don't ask...
trap 'echo "exiting" >&2; exit 250' 15
+ trap 'echo "exiting" >&2; exit 250' 15

# es_find_module foo
# Find and echo the filename of the foo module. If there's no foo module,
# die.
es_find_module() {
local modname="$1" modpath="" modfile=""
[[ -z ${modname} ]] && die "Usage: ${FUNCNAME} <module>"
for modpath in "${ESELECT_MODULES_PATH[@]}" ; do
[[ -f ${modpath}/${modname}.eselect ]] && break
done

modfile="${modpath}/${modname}.eselect"
[[ -r ${modfile} ]] || die -q "Can't load module ${modname}"
echo ${modfile}
}

# es_do_usage
# Display eselect usage
es_do_usage() {
echo "Usage: eselect <global options> <module name> <module options>"
}

# es_do_help
# Display eselect help
es_do_help() {
set_output_mode default
es_do_usage
echo
es_do_list_options
echo
es_do_list_modules
}

# es_do_version
# Display eselect version
es_do_version() {
echo "eselect ${ESELECT_VERSION}"
echo
echo "Copyright (c) 2005-2009 Gentoo Foundation."
echo "Distributed under the terms of the GNU General Public License v2."
}

# es_do_list_options
# Display all recognized global options
es_do_list_options() {
write_list_start "Global options:"
write_kv_list_entry "--brief" "Make output shorter"
write_kv_list_entry "--no-color,--no-colour" "Disable coloured output"
}

# es_do_list_modules
# Display all available eselect modules DEPRECATED
es_do_list_modules() {
do_action modules list "$@"
}

### main code ###

# enable colour output and get width of terminal iff stdout is a tty
if [[ -t 1 ]]; then
colours
init_columns
else
nocolours
fi
+ [[ -t 1 ]]
+ colours
tput sgr0)
tput sgr0
++ tput sgr0
+ COLOUR_NORMAL='(B'
tput bold)
tput bold
++ tput bold
+ COLOUR_BOLD=''
tput setaf 4)${COLOUR_BOLD}
tput setaf 4
++ tput setaf 4
+ COLOUR_HI=''
tput setaf 1)${COLOUR_BOLD}
tput setaf 1
++ tput setaf 1
+ COLOUR_WARN=''
+ COLOUR_ERROR=''
tput setaf 2)${COLOUR_BOLD}
tput setaf 2
++ tput setaf 2
+ COLOUR_LIST_HEADER=''
+ COLOUR_LIST_LEFT=''
+ COLOUR_LIST_RIGHT='(B'
+ init_columns
+ [[ -n '' ]]
tput cols)
tput cols
++ tput cols
+ COLUMNS=80

# figure out what the action is. we need to know whether we're
# invoked as a something-config/something-update.
action=""
+ action=

for suffix in config update{,r} tool manager reader ; do
if [[ ${0%%-${suffix}} != ${0} ]] ; then
action=$(basename "${0}" )
action=${action%%-${suffix}}
break
fi
done
+ for suffix in config 'update{,r}' tool manager reader
+ [[ eselect != eselect ]]
+ for suffix in config 'update{,r}' tool manager reader
+ [[ eselect != eselect ]]
+ for suffix in config 'update{,r}' tool manager reader
+ [[ eselect != eselect ]]
+ for suffix in config 'update{,r}' tool manager reader
+ [[ eselect != eselect ]]
+ for suffix in config 'update{,r}' tool manager reader
+ [[ eselect != eselect ]]
+ for suffix in config 'update{,r}' tool manager reader
+ [[ eselect != eselect ]]
unset suffix
+ unset suffix

if [[ -z ${action} ]] ; then
binname=$(basename "${0}" )
for prefix in config update{,r} manage 'read' ; do
if [[ ${binname##${prefix}-} != ${binname} ]] ; then
action=$(basename "${0}" )
action=${action##${prefix}-}
break
fi
done
unset binname prefix
fi
+ [[ -z '' ]]
basename "${0}" )
basename "${0}"
++ basename eselect
++ local path=eselect suf=
++ [[ -z eselect ]]
++ path=eselect
++ path=eselect
++ [[ '' != \e\s\e\l\e\c\t ]]
++ path=eselect
++ echo eselect
+ binname=eselect
+ for prefix in config 'update{,r}' manage ''\''read'\'''
+ [[ eselect != eselect ]]
+ for prefix in config 'update{,r}' manage ''\''read'\'''
+ [[ eselect != eselect ]]
+ for prefix in config 'update{,r}' manage ''\''read'\'''
+ [[ eselect != eselect ]]
+ for prefix in config 'update{,r}' manage ''\''read'\'''
+ [[ eselect != eselect ]]
+ for prefix in config 'update{,r}' manage ''\''read'\'''
+ [[ eselect != eselect ]]
+ unset binname prefix

if [[ -z ${action} ]] && [[ -n ${1##--} ]] ; then
while [[ ${1##--} != ${1} ]] ; do
case ${1##--} in
brief)
ESELECT_OPTIONS="${ESELECT_OPTIONS} brief"
set_output_mode brief
;;
no-colour|no-color)
ESELECT_OPTIONS="${ESELECT_OPTIONS} no-colour"
nocolours
;;
help|version)
action=${1##--}
;;
*)
die -q "Unknown option ${1}"
;;
esac
shift
done
if [[ -z ${action} ]]; then
action=${1}
shift
fi
fi
+ [[ -z '' ]]
+ [[ -n brief ]]
+ [[ brief != --brief ]]
+ case ${1##--} in
+ ESELECT_OPTIONS=' brief'
+ set_output_mode brief
+ ESELECT_OUTPUT_MODE=brief
+ shift
+ [[ no-color != --no-color ]]
+ case ${1##--} in
+ ESELECT_OPTIONS=' brief no-colour'
+ nocolours
+ COLOUR_NORMAL=
+ COLOUR_BOLD=
+ COLOUR_HI=
+ COLOUR_WARN=
+ COLOUR_ERROR=
+ COLOUR_LIST_HEADER=
+ COLOUR_LIST_LEFT=
+ COLOUR_LIST_RIGHT=
+ shift
+ [[ profile != profile ]]
+ [[ -z '' ]]
+ action=profile
+ shift

if [[ -n ${action} ]] ; then
if is_function "es_do_${action//-/_}" ; then
[[ $# -gt 0 ]] && die -q "Too many parameters"
es_do_${action//-/_}
else
do_action "${action}" "$@"
fi
else
es_do_help
fi
+ [[ -n profile ]]
+ is_function es_do_profile
type -t "${1}" )
type -t "${1}"
++ type -t es_do_profile
+ [[ '' == \f\u\n\c\t\i\o\n ]]
+ do_action profile list
+ local action=profile modfile= subaction=list
+ [[ -z profile ]]
+ shift
+ shift
+ ESELECT_MODULE_NAME=profile
+ ESELECT_COMMAND='eselect profile'
+ [[ eselect != eselect ]]
es_find_module "${action}" )
es_find_module "${action}"
++ es_find_module profile
++ local modname=profile modpath= modfile=
++ [[ -z profile ]]
++ for modpath in '"${ESELECT_MODULES_PATH[@]}"'
++ [[ -f /root/.eselect/modules/profile.eselect ]]
++ for modpath in '"${ESELECT_MODULES_PATH[@]}"'
++ [[ -f /usr/share/eselect/modules/profile.eselect ]]
++ break
++ modfile=/usr/share/eselect/modules/profile.eselect
++ [[ -r /usr/share/eselect/modules/profile.eselect ]]
++ echo /usr/share/eselect/modules/profile.eselect
+ modfile=/usr/share/eselect/modules/profile.eselect
+ source /usr/share/eselect/libs/default.eselect
+ source /usr/share/eselect/modules/profile.eselect
+ [[ -z list ]]
+ is_function do_list
type -t "${1}" )
type -t "${1}"
++ type -t do_list
+ [[ function == \f\u\n\c\t\i\o\n ]]
+ check_do do_list
+ local function=do_list
+ shift
+ is_function do_list
type -t "${1}" )
type -t "${1}"
++ type -t do_list
+ [[ function == \f\u\n\c\t\i\o\n ]]
+ do_list
+ local portdir profiledir active targets
+ targets=($(find_targets))
find_targets)
find_targets
++ find_targets
++ local arch p portdir=
++ [[ -n '' ]]
portageq portdir)
portageq portdir
+++ portageq portdir
+++ /usr/lib64/portage/bin/ebuild-helpers/portageq portdir
++ portdir=
arch)
arch
+++ arch
envvar sys-devel/gcc ARCH)
envvar sys-devel/gcc ARCH
++++ envvar sys-devel/gcc ARCH
++++ [[ 2 -eq 2 ]]
++++ case $(package_manager) in
package_manager)
package_manager
+++++ package_manager
+++++ local pm
+++++ case ${PACKAGE_MANAGER:-portage} in
+++++ pm=portage
+++++ echo portage
++++ portageq envvar ARCH
++++ /usr/lib64/portage/bin/ebuild-helpers/portageq envvar ARCH
+++ local ret= suffix
+++ [[ -z '' ]]
+++ [[ -n '' ]]
uname -m)
uname -m
++++ uname -m
+++ ret=x86_64
+++ case ${ret} in
+++ ret=amd64
+++ case $(uname -s) in
uname -s)
uname -s
++++ uname -s
+++ echo amd64
++ arch=amd64
++ [[ -z amd64 ]]
sed -n -e "s|^${arch}[[:space:]]\+\([^[:space:]]\+\).*$|\1|p" "${ROOT}${portdir}/profiles/profiles.desc")
sed -n -e "s|^${arch}[[:space:]]\+\([^[:space:]]\+\).*$|\1|p" "${ROOT}${portdir}/profiles/profiles.desc")
sed -n -e "s|^${arch}[[:space:]]\+\([^[:space:]]\+\).*$|\1|p" "${ROOT}${portdir}/profiles/profiles.desc"
+++ sed -n -e 's|^amd64[[:space:]]\+\([^[:space:]]\+\).*$|\1|p' /profiles/profiles.desc
+++ /bin/sed -n -e 's|^amd64[[:space:]]\+\([^[:space:]]\+\).*$|\1|p' /profiles/profiles.desc
/bin/sed: impossible de lire /profiles/profiles.desc: Aucun fichier ou dossier de ce type
+ [[ -z '' ]]
+ die -q 'Failed to get a list of valid profiles'
+ local item funcname= sourcefile= lineno= n e s=yes
+ is_function write_error_msg
type -t "${1}" )
type -t "${1}"
++ type -t write_error_msg
+ [[ function == \f\u\n\c\t\i\o\n ]]
+ e=write_error_msg
+ [[ -q == \-\q ]]
+ s=
+ shift
+ write_error_msg 'Failed to get a list of valid profiles'
+ echo -e '!!! Error: Failed to get a list of valid profiles'
!!! Error: Failed to get a list of valid profiles
+ [[ -n '' ]]
+ kill 899
+ exit 249
echo "exiting" >&2; exit 250
++ echo exiting
exiting
++ exit 250

_________________
Visi pas nette, pilote à la buvette !
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Wed Mar 31, 2010 9:05 am    Post subject: Reply with quote

En fait je parlais d'essayer l'utilisation d'autres modules d'eselect pour voir si les pbs sont localisés sur d'autres que news et profile :
Code:
$ eselect modules
Built-in modules:
  help                      Display a help message
  usage                     Display a usage message
  version                   Display version information

Extra modules:
  bashcomp                  Manage contributed bash-completion scripts
  binutils                  Manage installed versions of sys-devel/binutils
  boost                     Manage boost installations
  ecj                       Manage ECJ targets
  editor                    Manage the EDITOR environment variable
  env                       Manage environment variables set in /etc/env.d/
  fontconfig                Manage fontconfig /etc/fonts/conf.d/ symlinks
  java-nsplugin             Manage the Java plugin for Netscape-like Browsers
  java-vm                   Manage the Java system and user VM
  kernel                    Manage the /usr/src/linux symlink
  modules                   A module for querying modules. By default, it lists all available modules
  news                      Read Gentoo ("GLEP 42") news items
  opengl                    Manage the OpenGL implementation used by your system
  pager                     Manage the PAGER environment variable
  profile                   Manage the /etc/make.profile symlink
  python                    Manage Python symlinks
  rc                        Manage /etc/init.d scripts in runlevels
  ruby                      Manage ruby symlinks
  visual                    Manage the VISUAL environment variable


Sinon c'est toujours sed qui râle et la $portdir qui semble non définie ou est masquée dans ton environnement. Y'a pas une déclaration hazardeuse dans un .bashrc ; .bash_profile ou autre ?

Autre chose sinon, tu peux vérifier les droits sur /usr ; /usr/portage ; /usr/portage/profiles et /usr/portage/profiles/profiles.desc stp ?

Edit: Et tant qu'on y est : $ls -l {/usr/bin/portageq,/usr/lib64/portage/bin/portageq,/usr/lib64/portage/bin/ebuild-helpers/portageq} (expl. chez moi en en x86)
Code:
lrwxrwxrwx 1 root root 27 mars   1 14:46 /usr/bin/portageq -> ../lib/portage/bin/portageq
-rwxr-xr-x 1 root root 16197 mars   1 14:45 /usr/lib/portage/bin/portageq
-rwxr-xr-x 1 root root 504 mars   1 14:45 /usr/lib/portage/bin/ebuild-helpers/portageq

_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
lefoid
Apprentice
Apprentice


Joined: 05 Nov 2005
Posts: 232

PostPosted: Wed Mar 31, 2010 1:21 pm    Post subject: Reply with quote

Salut,

Quote:
En fait je parlais d'essayer l'utilisation d'autres modules d'eselect pour voir si les pbs sont localisés sur d'autres que news et profile :

C'est ce que j'ai fait dans mon post précédent, si tu regardes bien, il y a kernel et opengl. Je ne les ai pas tous testés.

Pour les droits :
Code:
patrice@falcon ~ $ ls -l /usr
total 380
drwxr-xr-x   2 patrice patrice  98304 mars  31 07:09 bin
drwxr-xr-x   3 games   root      4096 oct.  29  2008 games
drwxr-xr-x 366 root    root     36864 mars  31 07:09 include
drwxr-xr-x  26 patrice patrice   4096 mars  30 16:15 lib
drwxr-xr-x  32 root    root     36864 mars  30 16:31 lib32
drwxr-xr-x 192 root    root    147456 mars  31 07:09 lib64
drwxr-xr-x  18 root    root     12288 mars  30 14:54 libexec
drwxr-xr-x  10 root    root      4096 mai   26  2009 local
drwxr-xr-x 163 root    root      4096 mars  30 15:38 portage
drwxr-xr-x   2 root    root     12288 mars  30 16:38 sbin
drwxr-xr-x 352 patrice patrice  12288 mars  31 07:09 share
drwxr-xr-x  14 root    root      4096 mars  12 11:04 src
lrwxrwxrwx   1 root    root         8 oct.  22  2008 tmp -> /var/tmp
drwxr-xr-x   6 root    root      4096 sept.  4  2008 x86_64-pc-linux-gnu

Code:
ls -l /usr/portage
total 1188
drwxr-xr-x  43 root root      4096 mars  30 15:38 app-accessibility
drwxr-xr-x 179 root root      4096 mars  30 15:38 app-admin
drwxr-xr-x   4 root root      4096 mars  30 15:38 app-antivirus
drwxr-xr-x  88 root root      4096 mars  30 15:38 app-arch
drwxr-xr-x  35 root root      4096 mars  30 15:38 app-backup
drwxr-xr-x  28 root root      4096 mars  30 15:38 app-benchmarks
drwxr-xr-x  64 root root      4096 mars  30 15:38 app-cdr
drwxr-xr-x  84 root root      4096 mars  30 15:38 app-crypt
drwxr-xr-x 359 root root     16384 mars  30 15:38 app-dicts
drwxr-xr-x  45 root root      4096 mars  30 15:38 app-doc
drwxr-xr-x  78 root root      4096 mars  30 15:38 app-editors
drwxr-xr-x 185 root root      4096 mars  30 15:38 app-emacs
drwxr-xr-x  94 root root      4096 mars  30 15:38 app-emulation
drwxr-xr-x  24 root root      4096 mars  30 15:38 app-forensics
drwxr-xr-x 101 root root      4096 mars  30 15:38 app-i18n
drwxr-xr-x  28 root root      4096 mars  30 15:38 app-laptop
drwxr-xr-x 235 root root      4096 mars  30 15:38 app-misc
drwxr-xr-x  34 root root      4096 mars  30 15:38 app-mobilephone
drwxr-xr-x  64 root root      4096 mars  30 15:38 app-office
drwxr-xr-x  59 root root      4096 mars  30 15:38 app-pda
drwxr-xr-x  45 root root      4096 mars  30 15:38 app-portage
drwxr-xr-x  34 root root      4096 mars  30 15:38 app-shells
drwxr-xr-x 261 root root     12288 mars  30 15:38 app-text
drwxr-xr-x  96 root root      4096 mars  30 15:38 app-vim
drwxr-xr-x 132 root root      4096 mars  30 15:38 app-xemacs
drwxr-xr-x  18 root root      4096 mars  30 15:38 dev-ada
drwxr-xr-x  46 root root      4096 mars  30 15:38 dev-cpp
drwxr-xr-x  85 root root      4096 mars  30 15:38 dev-db
drwxr-xr-x  61 root root      4096 mars  30 15:38 dev-dotnet
drwxr-xr-x  62 root root      4096 mars  30 15:38 dev-embedded
drwxr-xr-x  38 root root      4096 mars  30 15:38 dev-games
drwxr-xr-x  86 root root      4096 mars  30 15:38 dev-haskell
drwxr-xr-x 483 root root     20480 mars  30 15:38 dev-java
drwxr-xr-x  98 root root      4096 mars  30 15:38 dev-lang
drwxr-xr-x 334 root root     12288 mars  30 15:38 dev-libs
drwxr-xr-x 218 root root     12288 mars  30 15:38 dev-lisp
drwxr-xr-x  44 root root      4096 mars  30 15:38 dev-ml
drwxr-xr-x 952 root root     36864 mars  30 15:38 dev-perl
drwxr-xr-x 164 root root     12288 mars  30 15:37 dev-php
drwxr-xr-x  98 root root      4096 mars  30 15:37 dev-php5
drwxr-xr-x 504 root root     20480 mars  30 15:37 dev-python
drwxr-xr-x 322 root root     12288 mars  30 15:37 dev-ruby
drwxr-xr-x  38 root root      4096 mars  30 15:37 dev-scheme
drwxr-xr-x  44 root root      4096 mars  30 15:37 dev-tcltk
drwxr-xr-x  84 root root      4096 mars  30 15:37 dev-tex
drwxr-xr-x  85 root root      4096 mars  30 15:37 dev-texlive
drwxr-xr-x   8 root root      4096 mars  30 15:37 dev-tinyos
drwxr-xr-x 273 root root     12288 mars  30 15:37 dev-util
drwxr-xr-x  38 root root      4096 mars  30 15:37 dev-vcs
drwxrwsr-x   4 root portage 286720 mars  30 17:18 distfiles
drwxr-xr-x   4 root root     12288 mars  30 15:37 eclass
drwxr-xr-x  74 root root      4096 mars  30 15:37 games-action
drwxr-xr-x 124 root root      4096 mars  30 15:37 games-arcade
drwxr-xr-x  71 root root      4096 mars  30 15:37 games-board
drwxr-xr-x  79 root root      4096 mars  30 15:37 games-emulation
drwxr-xr-x  15 root root      4096 mars  30 15:37 games-engines
drwxr-xr-x 137 root root      4096 mars  30 15:37 games-fps
drwxr-xr-x  14 root root      4096 mars  30 15:37 games-kids
drwxr-xr-x  67 root root      4096 mars  30 15:37 games-misc
drwxr-xr-x  19 root root      4096 mars  30 15:37 games-mud
drwxr-xr-x 101 root root      4096 mars  30 15:37 games-puzzle
drwxr-xr-x  20 root root      4096 juil.  1  2007 games-roguelike
drwxr-xr-x  36 root root      4096 mars  30 15:37 games-rpg
drwxr-xr-x  16 root root      4096 mars  30 15:37 games-server
drwxr-xr-x  24 root root      4096 mars  30 15:37 games-simulation
drwxr-xr-x  20 root root      4096 mars  30 15:37 games-sports
drwxr-xr-x  58 root root      4096 mars  30 15:37 games-strategy
drwxr-xr-x  36 root root      4096 mars  30 15:37 games-util
drwxr-xr-x  35 root root      4096 mars  30 15:37 gnome-base
drwxr-xr-x  66 root root      4096 mars  30 15:37 gnome-extra
drwxr-xr-x  41 root root      4096 mars  30 15:37 gnustep-apps
drwxr-xr-x   9 root root      4096 mars  30 15:37 gnustep-base
drwxr-xr-x  21 root root      4096 mars  30 15:37 gnustep-libs
drwxr-xr-x  22 root root      4096 mars  30 15:37 gpe-base
drwxr-xr-x   9 root root      4096 mars   6 19:06 gpe-utils
-rw-r--r--   1 root root       121 janv.  1 01:05 header.txt
drwxr-xr-x  12 root root      4096 mars  30 15:37 java-virtuals
drwxr-xr-x 297 root root     20480 mars  30 15:37 kde-base
drwxr-xr-x  53 root root      4096 mars  30 15:37 kde-misc
drwxr-xr-x   2 root root     36864 mars  22 04:37 licenses
drwxr-xr-x   3 root root      4096 nov.  18  2008 local
drwxr-xr-x  17 root root      4096 mars  30 15:37 lxde-base
drwxr-xr-x  47 root root      4096 mars  30 15:37 mail-client
drwxr-xr-x  59 root root      4096 mars  30 15:37 mail-filter
drwxr-xr-x  15 root root      4096 mars  30 15:37 mail-mta
drwxr-xr-x 147 root root      4096 mars  30 15:37 media-fonts
drwxr-xr-x 188 root root      4096 mars  30 15:37 media-gfx
drwxr-xr-x 284 root root     12288 mars  30 15:37 media-libs
drwxr-xr-x 282 root root     12288 mars  30 15:37 media-plugins
drwxr-xr-x  11 root root      4096 mars  30 15:37 media-radio
drwxr-xr-x 363 root root     12288 mars  30 15:37 media-sound
drwxr-xr-x  36 root root      4096 mars  30 15:37 media-tv
drwxr-xr-x 179 root root      4096 mars  30 15:37 media-video
drwxr-xr-x   6 root root      4096 mars  30 15:45 metadata
drwxr-xr-x 248 root root     12288 mars  30 15:37 net-analyzer
drwxr-xr-x  77 root root      4096 mars  30 15:37 net-dialup
drwxr-xr-x  38 root root      4096 mars  30 15:37 net-dns
drwxr-xr-x  32 root root      4096 mars  30 15:37 net-firewall
drwxr-xr-x  22 root root      4096 mars  30 15:37 net-fs
drwxr-xr-x  34 root root      4096 mars  30 15:37 net-ftp
drwxr-xr-x  65 root root      4096 mars  30 15:37 net-im
drwxr-xr-x  74 root root      4096 mars  30 15:37 net-irc
drwxr-xr-x 115 root root      4096 mars  30 15:37 net-libs
drwxr-xr-x 112 root root      4096 mars  30 15:37 net-mail
drwxr-xr-x 339 root root     12288 mars  30 15:37 net-misc
drwxr-xr-x  17 root root      4096 mars  30 15:37 net-nds
drwxr-xr-x  14 root root      4096 mars  30 15:37 net-news
drwxr-xr-x  22 root root      4096 mars  30 15:37 net-nntp
drwxr-xr-x  76 root root      4096 mars  30 15:37 net-p2p
drwxr-xr-x  39 root root      4096 mars  30 15:37 net-print
drwxr-xr-x  34 root root      4096 mars  30 15:37 net-proxy
drwxr-xr-x  16 root root      4096 mars  30 15:37 net-voip
drwxr-xr-x  80 root root      4096 mars  30 15:37 net-wireless
drwxr-xr-x 162 root root      4096 mars  30 15:37 net-zope
drwxr-xr-x  65 root root      4096 mars  30 15:37 perl-core
drwxr-xr-x  15 root root      4096 mars  30 15:37 profiles
drwxr-xr-x  20 root root      4096 mars  30 15:37 rox-base
drwxr-xr-x  33 root root      4096 mars  30 15:37 rox-extra
drwxr-xr-x  20 root root      4096 mars  30 15:37 sci-astronomy
drwxr-xr-x 127 root root      4096 mars  30 15:37 sci-biology
drwxr-xr-x  24 root root      4096 mars  30 15:37 sci-calculators
drwxr-xr-x  92 root root      4096 mars  30 15:37 sci-chemistry
drwxr-xr-x  45 root root      4096 mars  30 15:37 sci-electronics
drwxr-xr-x  34 root root      4096 mars  30 15:37 sci-geosciences
drwxr-xr-x 127 root root      4096 mars  30 15:37 sci-libs
drwxr-xr-x  39 root root      4096 mars  30 15:37 sci-mathematics
drwxr-xr-x  18 root root      4096 mars  30 15:37 sci-misc
drwxr-xr-x  22 root root      4096 mars  23 04:37 sci-physics
drwxr-xr-x  32 root root      4096 mars  30 15:37 sci-visualization
drwxr-xr-x   2 root root      4096 sept. 25  2009 scripts
drwxr-xr-x  65 root root      4096 mars  30 15:37 sec-policy
-rw-r--r--   1 root root      3658 janv.  1 01:05 skel.ChangeLog
-rw-r--r--   1 root root      7689 janv.  1 01:05 skel.ebuild
-rw-r--r--   1 root root      1238 juil. 28  2008 skel.metadata.xml
drwxr-xr-x 220 root root     12288 mars  30 15:37 sys-apps
drwxr-xr-x  48 root root      4096 mars  30 15:37 sys-auth
drwxr-xr-x  49 root root      4096 nov.  25 17:38 sys-block
drwxr-xr-x  34 root root      4096 mars  30 15:37 sys-boot
drwxr-xr-x  43 root root      4096 mars  30 15:37 sys-cluster
drwxr-xr-x  47 root root      4096 mars  30 15:37 sys-devel
drwxr-xr-x  17 root root      4096 mars  30 15:37 sys-freebsd
drwxr-xr-x  95 root root      4096 mars  30 15:37 sys-fs
drwxr-xr-x  26 root root      4096 mars  30 15:37 sys-kernel
drwxr-xr-x  63 root root      4096 mars  30 15:37 sys-libs
drwxr-xr-x  28 root root      4096 mars  30 15:37 sys-power
drwxr-xr-x  32 root root      4096 mars  30 15:37 sys-process
drwxr-xr-x 112 root root      4096 mars  30 15:37 virtual
drwxr-xr-x  73 root root      4096 mars  30 15:37 www-apache
drwxr-xr-x  76 root root      4096 mars  30 15:37 www-apps
drwxr-xr-x  38 root root      4096 mars  30 15:37 www-client
drwxr-xr-x  14 root root      4096 mars  30 15:37 www-misc
drwxr-xr-x  14 root root      4096 mars  30 15:37 www-plugins
drwxr-xr-x  28 root root      4096 mars  30 15:37 www-servers
drwxr-xr-x  95 root root      4096 mars  30 15:37 x11-apps
drwxr-xr-x   6 root root      4096 mars  30 15:37 x11-base
drwxr-xr-x  78 root root      4096 mars  30 15:37 x11-drivers
drwxr-xr-x 136 root root      4096 mars  30 15:37 x11-libs
drwxr-xr-x 238 root root     12288 mars  30 15:37 x11-misc
drwxr-xr-x 212 root root     12288 mars  30 15:37 x11-plugins
drwxr-xr-x  34 root root      4096 mars  30 15:37 x11-proto
drwxr-xr-x  26 root root      4096 mars  30 15:37 x11-terms
drwxr-xr-x 113 root root      4096 mars  30 15:37 x11-themes
drwxr-xr-x  49 root root      4096 mars  30 15:37 x11-wm
drwxr-xr-x  18 root root      4096 mars  30 15:37 xfce-base
drwxr-xr-x  57 root root      4096 mars  30 15:37 xfce-extra

Code:
ls -l /usr/portage/profiles/
total 1056
drwxr-xr-x 18 root root   4096 mai   16  2009 arch
-rw-r--r--  1 root root    382 déc.  17 21:07 arch.list
drwxr-xr-x  2 root root   4096 mars  30 15:37 base
-rw-r--r--  1 root root   1661 mars   4 19:37 categories
-rw-r--r--  1 root root 534477 mars  30 14:06 ChangeLog
drwxr-xr-x  4 root root   4096 mars  30 15:37 default
drwxr-xr-x  2 root root   4096 mars  16 00:36 desc
drwxr-xr-x  2 root root   4096 mars  30 15:37 embedded
drwxr-xr-x  8 root root   4096 mars  16 10:36 features
drwxr-xr-x  8 root root   4096 mars  26 02:06 hardened
-rw-r--r--  1 root root    550 févr.  1 18:36 info_pkgs
-rw-r--r--  1 root root    477 mars   1  2009 info_vars
-rw-r--r--  1 root root   3774 févr. 26 12:36 license_groups
-rw-r--r--  1 root root  35652 mars  30 01:07 package.mask
drwxr-xr-x 11 root root   4096 mars  26 22:36 prefix
-rw-r--r--  1 root root  13007 mars  30 02:36 profiles.desc
drwxr-xr-x  6 root root   4096 mars  30 15:37 releases
-rw-r--r--  1 root root      7 mai    4  2006 repo_name
drwxr-xr-x  4 root root   4096 mars  30 15:37 selinux
drwxr-xr-x  6 root root   4096 avril  1  2008 targets
-rw-r--r--  1 root root  92612 mars  16 21:39 thirdpartymirrors
drwxr-xr-x  8 root root   4096 mars  30 15:37 uclibc
drwxr-xr-x  2 root root   4096 mars  26 21:37 updates
-rw-r--r--  1 root root  24736 mars  22 10:06 use.desc
-rw-r--r--  1 root root 287685 mars  30 14:37 use.local.desc

Code:
ls -l /usr/portage/profiles/profiles.desc
-rw-r--r-- 1 root root 13007 mars  30 02:36 /usr/portage/profiles/profiles.desc

Code:
ls -l {/usr/bin/portageq,/usr/lib64/portage/bin/portageq,/usr/lib64/portage/bin/ebuild-helpers/portageq}
lrwxrwxrwx 1 root root    29 mars  29 01:43 /usr/bin/portageq -> ../lib64/portage/bin/portageq
-rwxr-xr-x 1 root root   504 mars  29 01:43 /usr/lib64/portage/bin/ebuild-helpers/portageq
-rwxr-xr-x 1 root root 16197 mars  29 01:43 /usr/lib64/portage/bin/portageq

Quant aux fichiers .bashrc et .bash_profile, ils n'ont rien d'anormal.
Je viens de finir un :
Code:
emerge -e system && emerge -e world

mais le résultat est inchangé.
Perso, je suis largué ...
_________________
Visi pas nette, pilote à la buvette !
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Wed Mar 31, 2010 4:11 pm    Post subject: Reply with quote

Oui moi également :cry:
j'ai beau être convaincu que le pb réside là dans tes variables qui bloquent(ne se récupèrent pas) à cette étape :
Quote:
++++ /usr/lib64/portage/bin/ebuild-helpers/portageq envvar ARCH
+++ local ret= suffix
+++ [[ -z '' ]]
+++ [[ -n '' ]]
uname -m)
uname -m
++++ uname -m
+++ ret=x86_64
+++ case ${ret} in
+++ ret=amd64
+++ case $(uname -s) in
uname -s)
uname -s
++++ uname -s
+++ echo amd64
++ arch=amd64
++ [[ -z amd64 ]]
sed -n -e "s|^${arch}[[:space:]]\+\([^[:space:]]\+\).*$|\1|p" "${ROOT}${portdir}/profiles/profiles.desc")
sed -n -e "s|^${arch}[[:space:]]\+\([^[:space:]]\+\).*$|\1|p" "${ROOT}${portdir}/profiles/profiles.desc")
sed -n -e "s|^${arch}[[:space:]]\+\([^[:space:]]\+\).*$|\1|p" "${ROOT}${portdir}/profiles/profiles.desc"
+++ sed -n -e 's|^amd64[[:space:]]\+\([^[:space:]]\+\).*$|\1|p' /profiles/profiles.desc
+++ /bin/sed -n -e 's|^amd64[[:space:]]\+\([^[:space:]]\+\).*$|\1|p' /profiles/profiles.desc
/bin/sed: impossible de lire /profiles/profiles.desc: Aucun fichier ou dossier de ce type

car chez moi j'ai çà à la place :
Quote:
/usr/lib/portage/bin/ebuild-helpers/portageq envvar ARCH
local ret=x86 suffix
[[ -z x86 ]]
+++ echo x86
++ arch=x86
++ [[ -z x86 ]]
sed -n -e "s|^${arch}[[:space:]]\+\([^[:space:]]\+\).*$|\1|p" "${ROOT}${portdir}/profiles/profiles.desc")
sed -n -e "s|^${arch}[[:space:]]\+\([^[:space:]]\+\).*$|\1|p" "${ROOT}${portdir}/profiles/profiles.desc")
sed -n -e "s|^${arch}[[:space:]]\+\([^[:space:]]\+\).*$|\1|p" "${ROOT}${portdir}/profiles/profiles.desc"
+++ sed -n -e 's|^x86[[:space:]]\+\([^[:space:]]\+\).*$|\1|p' /usr/portage/profiles/profiles.desc
+++ /bin/sed -n -e 's|^x86[[:space:]]\+\([^[:space:]]\+\).*$|\1|p' /usr/portage/profiles/profiles.desc

Et c'est pas un pb de synthaxe car si tu fais tourner ta commande avec "sed" dans /usr/portage ou celles avec "portageq" elle fonctionnent correctement et te renvois bien chaque envvars :?
D'ailleurs un diff entre les output de nos 2 commandes donne bien
Code:
890,891c890,891                                                                                                             
< +++ /usr/lib/portage/bin/ebuild-helpers/portageq portdir                                                                   
< ++ portdir=/usr/portage                                                                                                   
---                                                                                                                         
> +++ /usr/lib64/portage/bin/ebuild-helpers/portageq portdir                                                                 
> ++ portdir=                                                                                                               
908,1349c908,952


Je ne vois pas ce qui peut bien clocher chez toi pour avoir ce comportement :?
Probablement falloir ouvrir un bug sur b.g.o afin que des yeux plus calés donne un avis...

Edit : Ah oui sinon, j'ai encore une idée à laquelle j'ai pensé : as-tu remarqué si tu avais un repertoire ".eselect" dans ton /home et/ou dans /root ? si oui supprime-le(s) et reste
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
orionbelt
Apprentice
Apprentice


Joined: 05 Apr 2006
Posts: 178

PostPosted: Fri Apr 16, 2010 11:35 am    Post subject: Reply with quote

Bonjour,

Ce message pourrait importer sur cette discussion aussi:

https://forums.gentoo.org/viewtopic-p-6246778.html#6246778
Back to top
View user's profile Send private message
lefoid
Apprentice
Apprentice


Joined: 05 Nov 2005
Posts: 232

PostPosted: Fri Apr 16, 2010 1:14 pm    Post subject: Reply with quote

Salut,

Pas d'amélioration (voir le post que tu cites).
Pas de répertoire .eselect nulle part non plus.
J'avoue que ça me pompe l'air mais je ne sais
plus trop quoi tester.
Merci de votre aide.
_________________
Visi pas nette, pilote à la buvette !
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum